Mailinglist Archive: opensuse-buildservice (48 mails)

< Previous Next >
Re: [opensuse-buildservice] Re: The repository setup is broken...
  • From: Roger Oberholtzer <roger.oberholtzer@xxxxxxxxx>
  • Date: Fri, 12 Oct 2018 08:49:20 +0200
  • Message-id: <CANkOqwMeZ3tkDmksQvsO9em==9SOKaoFKJh8p8Si-uZ3e2Th9A@mail.gmail.com>
On Thu, Oct 11, 2018 at 8:21 AM Adrian Schröter <adrian@xxxxxxx> wrote:

On Donnerstag, 11. Oktober 2018, 00:26:20 CEST Roger Oberholtzer wrote:
On Wed, Oct 10, 2018 at 1:07 PM Roger Oberholtzer

<roger.oberholtzer@xxxxxxxxx> wrote:
I am fighting to build a LiDAR file access library on OBS. Aside from
the general build issues, I get an error for a couple (but not all)
repositories: openSUSE_Leap_15.0 and openSUSE_Leap_42.3. This is the

error message:
The repository setup is broken, build or publish not possible.

I cannot see what it is unhappy about and there are no more details
provided that I can see. The project is:

https://build.opensuse.org/package/show/home:rogeroberholtzer/las

I see that the complaint is for all my projects.

It seems that some time in the past few day, OBS no longer likes the
science repo for oprnSUSE 15.0 and 42.3. When I removed them, all is
okay again.

well, this is the wrong place for that, since this is about content.
Better ask the packagers of that project (by chance, I am one of them)

I do not think the science repo is the problem. I use it on my real
42.3 system without an issue.

What has happened is that if that repo is referenced for 42.3 and 15.0
builds on OBS, I get this error. So the error only happens on OBS.

The error does not tell which repo is wrong, or if is actually a repo
that is wrong. I just tried removing things to see if I could
influence this error.

seems you removed the science project, so the error is not visible anymore?

Yes. Which is why I know having it is causing the error. If I put it
back, the error returns. Only on OBS.

However, science project itself has a valid config and builds, so you
would need to restore the broken case for help...

No problem. I have put back the offending statement for the 15.0
build. I took it away because I wanted to get at least one working
build for some new software (LiDAR and point cloud stuff).

--
Roger Oberholtzer
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups